# Eligibility

This API allows lookups to see if a vehicle is eligible for telematics data. The raw Swagger specification is available at <https://github.com/highmobility/open-api-specifications/blob/main/hm-eligibility-v1.yml>

## Check vehicle eligibility

> Retrieves the eligibility status for a specific VIN. This can be used to find out if the vehicle has the necessary connectivity to transmit data.

```json
{"openapi":"3.0.3","info":{"title":"Eligibility API","version":"1.0.0"},"tags":[{"name":"Eligibility","description":"This API allows lookups to see if a vehicle is eligible for telematics data.\nThe raw Swagger specification is available at https://github.com/highmobility/open-api-specifications/blob/main/hm-eligibility-v1.yml"}],"servers":[{"url":"https://api.high-mobility.com"},{"url":"https://sandbox.api.high-mobility.com"}],"security":[{"EligibilityAuth":["vehicle:eligibility-check"]}],"components":{"securitySchemes":{"EligibilityAuth":{"flows":{"clientCredentials":{"scopes":{"vehicle:eligibility-check":"eligibility check"},"tokenUrl":"https://api.sandbox.high-mobility.com/v1/access_token"}},"type":"oauth2"}},"schemas":{"SuccessResponse":{"type":"object","title":"SuccessResponse","properties":{"vin":{"type":"string"},"eligible":{"type":"boolean"},"data_delivery":{"type":"array","items":{"type":"string","enum":["pull","push"]}},"connectivity_status":{"type":"string","enum":["activated","deactivated","unknown"]},"primary_user_assigned":{"type":"boolean"}},"required":["vin","eligible","data_delivery"],"description":"Response of eligibility check"},"EligibilityUnauthorizedErrors":{"type":"object","title":"Errors","properties":{"errors":{"description":"List of errors","type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Error":{"type":"object","title":"Error","required":["title"],"properties":{"title":{"type":"string","description":"Error title"},"source":{"type":"string","description":"Field that has problem"},"detail":{"type":"string","description":"Error detail"}},"description":"Error details"},"GeneralErrors":{"type":"object","title":"Errors","properties":{"errors":{"description":"List of errors","type":"array","items":{"$ref":"#/components/schemas/Error"}}}},"Request":{"type":"object","properties":{"vin":{"type":"string","description":"Vehicle vin."},"brand":{"type":"string","enum":["mercedes-benz","ford","bmw","mini","citroen","peugeot","opel","vauxhall","ds","jeep","fiat","alfaromeo","renault","toyota","lexus","volvo-cars","sandbox"]}},"required":["vin","brand"]}}},"paths":{"/v1/eligibility":{"post":{"deprecated":false,"tags":["Eligibility"],"summary":"Check vehicle eligibility","responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SuccessResponse"}}},"description":"Vehicle eligibility requested successfully"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EligibilityUnauthorizedErrors"}}},"description":"When an invalid ServiceAccountToken is used."},"422":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GeneralErrors"}}},"description":"Errors such as invalid VIN and brand call failed"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Request"}}}},"description":"Retrieves the eligibility status for a specific VIN. This can be used to find out if the vehicle has the necessary connectivity to transmit data."}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.high-mobility.com/api-references/fleet-management/eligibility.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
